commit 2123f7682d522619f101b05fb75efa75dabbe371
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jun 16 11:42:47 2015 -0400

    xserver 1.17.2
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 8a5fb096d43577a061f7769d9257cbedaac998ef
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu May 28 05:30:01 2015 +0000

    glamor: don't do render ops with matching source/dest (v2)
    
    XRender defines this, GL really doesn't like it.
    
    kwin 4.x and qt 4.x seem to make this happen for the
    gradient in the titlebar, and on radeonsi/r600 hw
    this draws all kinds of wrong.
    
    v2: bump this up a level, and check it earlier.
    (I assume the XXXX was for this case.)
    
    [This corresponds to fa12f2c150b2f50de9dac4a2b09265f13af353af in master,
    fixed up for 1.17 branch. - ajax]
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit ea9e02184399e9979654544dde8926912a8aa2c8
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Wed May 27 12:08:45 2015 +0200

    xwayland: Throttle our cursor surface updates with a frame callback
    
    In some extreme cases with animated cursors at a high frame rate we
    could end up filling the wl_display outgoing buffer and end up with
    wl_display_flush() failing.
    
    In any case, using the frame callback to throttle ourselves is the
    right thing to do.
    
    Signed-off-by: Rui Matos <tiagomatos@gmail.com>
    Reviewed-by: Daniel Stone <daniels@collabora.com>
    Signed-off-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit cbb7eb73b5399e31a7afb800363504d539df0ecf)

commit 6cc61df989c7764097c9b21d71386e230fa13cd4
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 6 08:25:42 2015 +0000

    present: Copy unflip contents back to the Screen Pixmap
    
    As we unflip after the flip Window no longer passes the pixel ownership
    test for the full Screen Pixmap, we can no longer utilize that Window to
    copy the contents back to the backing pixmap. To first flip means that
    the Window was originally backed by the Screen Pixmap and wholly covered
    the Pixmap, thus we need to copy the last frame contents to the Screen
    Pixmap when the flip chain is complete.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Reviewed-and-Tested-by: Michel Dänzer <michel.daenzer@amd.com>
    (cherry picked from commit 806470b9f623089dc81b985f250f0c3a4e8edbe8)

commit 8b7e1f362bf6940eb863fd02395bf8155d10604b
Author: Vicente Olivert Riera <Vincent.Riera@imgtec.com>
Date:   Mon Jan 12 17:10:02 2015 +0000

    backtrace.c: Fix word cast to a pointer
    
    backtrace.c uses a word size provided by libunwind. In some
    architectures like MIPS, libunwind makes that word size 64-bit for all
    variants of the architecture.
    
    In the lines #90 and #98, backtrace.c tries to do a cast to a pointer,
    which fails in all MIPS variants with 32-bit pointers, like MIPS32 or
    MIPS64 n32, because it's trying to do a cast from a 64-bit wide variable
    to a 32-bit pointer:
    
    Making all in os
    make[2]: Entering directory
    `/home/test/test/1/output/build/xserver_xorg-server-1.15.1/os'
      CC     WaitFor.lo
      CC     access.lo
      CC     auth.lo
      CC     backtrace.lo
    backtrace.c: In function 'xorg_backtrace':
    backtrace.c:90:20: error: cast to pointer from integer of different size
    [-Werror=int-to-pointer-cast]
    	 if (dladdr((void *)(pip.start_ip + off), &dlinfo) &&
    dlinfo.dli_fname &&
    		    ^
    backtrace.c:98:13: error: cast to pointer from integer of different size
    [-Werror=int-to-pointer-cast]
    	     (void *)(pip.start_ip + off));
    	     ^
    cc1: some warnings being treated as errors
    make[2]: *** [backtrace.lo] Error 1
    make[2]: *** Waiting for unfinished jobs....
    
    Making the cast to a pointer-sized integer, and then to a pointer fixes
    the problem.
    
    Related:
      https://bugs.freedesktop.org/show_bug.cgi?id=79939
    
    Signed-off-by: Vicente Olivert Riera <Vincent.Riera@imgtec.com>
    Reviewed-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit baa50f60acd9e9f4293107435645ab072b6110e1)

commit c424458c93cb36708c6074ecaf6566d6b5818c87
Author: Ray Strode <rstrode@redhat.com>
Date:   Tue May 5 16:43:44 2015 -0400

    xwayland: default to local user if no xauth file given. [CVE-2015-3164 3/3]
    
    Right now if "-auth" isn't passed on the command line, we let
    any user on the system connect to the Xwayland server.
    
    That's clearly suboptimal, given Xwayland is generally designed
    to be used by one user at a time.
    
    This commit changes the behavior, so only the user who started the
    X server can connect clients to it.
    
    Signed-off-by: Ray Strode <rstrode@redhat.com>
    Reviewed-by: Daniel Stone <daniels@collabora.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit 76636ac12f2d1dbdf7be08222f80e7505d53c451)

commit 01b4f5bc89820cf8cbe01777871834411074d683
Author: Ray Strode <rstrode@redhat.com>
Date:   Tue May 5 16:43:43 2015 -0400

    os: support new implicit local user access mode [CVE-2015-3164 2/3]
    
    If the X server is started without a '-auth' argument, then
    it gets started wide open to all local users on the system.
    
    This isn't a great default access model, but changing it in
    Xorg at this point would break backward compatibility.
    
    Xwayland, on the other hand is new, and much more targeted
    in scope.  It could, in theory, be changed to allow the much
    more secure default of a "user who started X server can connect
    clients to that server."
    
    This commit paves the way for that change, by adding a mechanism
    for DDXs to opt-in to that behavior.  They merely need to call
    
    LocalAccessScopeUser()
    
    in their init functions.
    
    A subsequent commit will add that call for Xwayland.
    
    Signed-off-by: Ray Strode <rstrode@redhat.com>
    Reviewed-by: Daniel Stone <daniels@collabora.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit 4b4b9086d02b80549981d205fb1f495edc373538)

commit bebaaa2216026bd6b649a8123e67a7f5172b120f
Author: Ray Strode <rstrode@redhat.com>
Date:   Tue May 5 16:43:42 2015 -0400

    xwayland: Enable access control on open sockets [CVE-2015-3164 1/3]
    
    Xwayland currently allows wide-open access to the X sockets
    it listens on, ignoring Xauth access control.
    
    This commit makes sure to enable access control on the sockets,
    so one user can't snoop on another user's X-over-wayland
    applications.
    
    Signed-off-by: Ray Strode <rstrode@redhat.com>
    Reviewed-by: Daniel Stone <daniels@collabora.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit c4534a38b68aa07fb82318040dc8154fb48a9588)

commit 761be9cceb6f5a2ca883c940d6e1f277ce529ea8
Author: Egbert Eich <eich@freedesktop.org>
Date:   Tue May 12 09:52:48 2015 -0700

    Xephyr: Fix broken image when endianess of client machine and host-Xserver differ
    
    The image is created in the native byte order of the machine Xephyr is
    rendered on however drawn in the image byte order of the Xephyr server.
    Correct byte order in the xcb_image_t structure and convert to native
    before updating the window.
    If depths of Xephyr and host server differ this is already taken care of
    by the depth conversion routine.
    It is a terrible wase to always convert and transmit the entire image
    no matter of the size of the damaged area. One should probably use
    sub-images here. For now we leave this as an exercise.
    
    Signed-off-by: Egbert Eich <eich@freedesktop.org>
    Reviewed-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit 910ddf85219f114744e8996a4ac044c4eafc62ac)

commit f775f247731d368c76d9bda3672fbdda7ba21223
Author: Egbert Eich <eich@freedesktop.org>
Date:   Tue Mar 31 09:14:28 2015 +0200

    Xephyr: Fix screen image draw for the non-Glamor & non-XHSM case
    
    xcb_image_put() prints the entire image, therefore don't use an offset.
    
    Signed-off-by: Egbert Eich <eich@freedesktop.org>
    Reviewed-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit c65eda5e6676d942e80eaf2650a670174c8bd84a)

commit 6395873ea9a9ccc4ddb840e295a025a3cb931a62
Author: Egbert Eich <eich@freedesktop.org>
Date:   Tue Mar 31 09:14:27 2015 +0200

    Xephyr: Fix compile when debugging is enabled
    
    Signed-off-by: Egbert Eich <eich@freedesktop.org>
    Reviewed-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit 66212ca0d2f194fd16db65e863f0a2d613e180ea)

commit 70ce5753071a71d8f7c7a11a2d91599251bdb845
Author: Egbert Eich <eich@freedesktop.org>
Date:   Tue Mar 31 09:14:26 2015 +0200

    Xephyr: Print default server display number if none is specified
    
    Signed-off-by: Egbert Eich <eich@freedesktop.org>
    Reviewed-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit b536d56aef21739b6da44693bbf19d0e7541392d)

commit a4882ac7927b3efb0fd352cd0b7f5ceeebc1250a
Author: Egbert Eich <eich@suse.de>
Date:   Tue Mar 31 09:14:25 2015 +0200

    Xephyr: Don't crash when no command line argument is specified
    
    The DDX specific command line parsing function only gets called
    if command line arguments are present. Therefore this function
    is not suitable to initialize mandatory global variables.
    Replace main() instead.
    
    Signed-off-by: Egbert Eich <eich@freedesktop.org>
    Reviewed-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit 5af73f490870da9265eeb9b3ce59a2be026be0c8)

commit 0dc9da5ce94ba9fe47a992f99ff137dba4810118
Author: Jonathan Gray <jsg@jsg.id.au>
Date:   Wed Apr 15 21:29:58 2015 +1000

    glamor: fix build when DRI3 is not defined
    
    Signed-off-by: Jonathan Gray <jsg@jsg.id.au>
    Reviewed-by: Kenneth Graunke <kenneth@whitecape.org>
    Signed-off-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit 00f79416b19f0cde68291aced44ab07b9b76f7b8)

commit 828a1e38030bde19ffc98ee655df5d590faf30dc
Author: Jonathan Gray <jsg@jsg.id.au>
Date:   Wed Apr 15 21:29:07 2015 +1000

    glamor: remove const from the return type of glamor_get_drawable_location()
    
    Fixes a build error with gcc 4.2.1 on OpenBSD due to
    -Werror=return-type from xorg-macros.
    
    error: type qualifiers ignored on function return type
    
    Signed-off-by: Jonathan Gray <jsg@jsg.id.au>
    Reviewed-by: Kenneth Graunke <kenneth@whitecape.org>
    Signed-off-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit 7c609c911a3a33b7e4ddad46b8fc42878a073ee7)

commit 68eb9afb204790b586c96caa4e840a78f8bda8b6
Author: Michel Dänzer <michel.daenzer@amd.com>
Date:   Tue Mar 17 10:21:13 2015 +0900

    modesetting: Include dix-config.h from dumb_bo.c
    
    Fixes mmap failures with 32-bit builds.
    
    Signed-off-by: Michel Dänzer <michel@daenzer.net>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>
    Signed-off-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit 145ae03814cb3b700b6fe1fd19f8fb15da84d1c8)

commit 554cb404a5cf146316bff6757acfa693463d141e
Author: Michel Dänzer <michel.daenzer@amd.com>
Date:   Tue Mar 17 10:21:12 2015 +0900

    Add AC_SYS_LARGEFILE defines to dix-config.h
    
    Without this, AC_SYS_LARGEFILE doesn't actually have any effect.
    
    Signed-off-by: Michel Dänzer <michel@daenzer.net>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>
    Signed-off-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit 4962c8c08842d9d3ca66d254b1ce4cacc4fb3756)

commit ae3aa32688e4818979c7c59e12286365825eab53
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Fri May 1 17:43:41 2015 +0200

    modesetting: Fix software cursor fallback
    
    The code in drmmode_set_cursor does not properly handle the case where
    drmModeSetCursor2 returns any other error than EINVAL and silently fails to set
    a cursor.
    
    So only return when the drmModeSetCursor2 succeeds (i.e returns 0) and disable
    the cursor2 usage on EINVAL.
    
    References: https://bugzilla.redhat.com/show_bug.cgi?id=1205725
    Signed-off-by: Adel Gadllah <adel.gadllah@gmail.com>
    Reviewed-by: Michel Dänzer <michel@daenzer.net>
    Reviewed-by: Rob Clark <robdclark@gmail.com>
    Signed-off-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit c3ce9d8fd404ca1d4697a104ce4899525dd43c51)

commit d8a39245d6cff6accf5eaeae7a1ac15eb1eb048a
Author: Dima Ryazanov <dima@gmail.com>
Date:   Wed Apr 29 22:39:18 2015 -0700

    xwayland: Implement smooth scrolling
    
    We don't even need to simulate button clicks; it's done automatically.
    This also fixes scrolling in Qt5 apps.
    
    Signed-off-by: Dima Ryazanov <dima@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit 81a51a6cace6fdb54999ccdf1533dc28a2222bb9)

commit 5b23104d58eeb86e16282cdfb0553c2ffdaad169
Author: Jason Gerecke <killertofu@gmail.com>
Date:   Wed Apr 29 15:08:58 2015 +1000

    dix: Do not allow device transform to be set on valuatorless devices
    
    If a device does not have any valuators, it makes no sense to set the
    device transformation. Return a BadMatch error to let the caller know
    that they're trying something stupid.
    
    Signed-off-by: Jason Gerecke <jason.gerecke@wacom.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit 9ff89a2e469ab0ac5af57d0fc115127feb1c0d99)

commit 6f7a3366a24a351ee49185500410811099a5eb1c
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Sat Apr 25 21:19:25 2015 +0200

    dix/events: Set currentTime to the given time stamp in NoticeTime
    
    The refactoring in commit efc1035ca958f2c9d266338a308518a0834b1773
    removed the actual update of currentTime.
    
    Signed-off-by: Rui Matos <tiagomatos@gmail.com>
    Acked-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit fa62ca68ef8be7f63cd0b899dfae3366ca9350cf)

commit 1a87dbc2ce5e6f8a7d111ef22736360fe803ba0e
Author: Brent Collins <bcollins@trustedcs.com>
Date:   Thu May 7 15:10:19 2015 -0400

    shm: Fix xselinux resource initialization for xinerama pixmaps
    
    This is necessary to avoid a NULL pointer deference when the pixmap is
    used later.
    
    [ajax: massaged commit message, fixed it to compile]
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=89748
    Reviewed-by: Adam Jackson <ajax@redhat.com>
    Signed-off-by: Brent Collins <bcollins@trustedcs.com>
    (cherry picked from commit 7470578520e90b6402b2509cd0c51fd4fd84849f)

commit 4f3df05728dd1ace88013e83347cebb64be99c03
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Feb 14 10:36:44 2015 +0000

    shm: Fix use-after-free in ShmDestroyPixmap
    
    We pass the pPixmap->drawable.id to the ShmDetachSegment function after
    the pPixmap is freed. Fortunately, we don't use the value inside
    ShmDetachSegment and can simply pass zero instead.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Reviewed-by: Michel Dänzer <michel@daenzer.net>
    (cherry picked from commit bcec9f867d19e954a46c2654a79782bff6c65fce)

commit 40f35e448892e58780ff25f29df808aa68f60be3
Author: Olivier Fourdan <ofourdan@redhat.com>
Date:   Fri Apr 10 10:07:38 2015 +0200

    dix: Fix image byte order on big endian hardware
    
    Make sure X_BIG_ENDIAN/X_LITTLE_ENDIAN are defined before actually using
    them.
    
    Otherwise, image byte order could be wrong on big endian hardware even
    though endianess detection is correct.
    
    Reported-by: Tim Waugh <twaugh@redhat.com>
    Signed-off-by: Olivier Fourdan <ofourdan@redhat.com>
    Reviewed-by: Adam Jackson <ajax@redhat.com>
    (cherry picked from commit 1af15aaf278edcf6f6de94774350e34a80883c24)

commit 5497f56b8790e68c653ea4c7f36fcb4868a84b50
Author: Jason Gerecke <killertofu@gmail.com>
Date:   Thu Apr 30 18:06:14 2015 -0700

    xfree86: Return NULL from xf86CompatOutput if no compat_output is defined
    
    If no compat_output is defined, we inadvertently (attempt to) return
    whatever data is at index -1. Instead, return NULL since that's what
    callers are expecting.
    
    Reviewed-by: Adam Jackson <ajax@redhat.com>
    Signed-off-by: Jason Gerecke <jason.gerecke@wacom.com>
    (cherry picked from commit 28159eff6badf6181b255f26d1f444abe81c05b7)

commit 9e39ba30f145f61c333ccf9280577d3afedfb5fb
Author: Robert Ancell <robert.ancell@canonical.com>
Date:   Wed May 6 15:07:21 2015 +1200

    xwayland: Fix error strings
    
    Fix missing newlines from error string and fix grammar.
    
    Signed-off-by: Robert Ancell <robert.ancell@canonical.com>
    Reviewed-by: Daniel Stone <daniels@collabora.com>
    (cherry picked from commit cad831f39861435cb94f4c90a73f7f0b62d1a4a1)

commit 953520ef98f98ab0ca2029d9047b0ac81ad8e096
Author: Colin Harrison <colin.harrison@virgin.net>
Date:   Fri Mar 20 14:25:53 2015 +0000

    os/utils.c: Don't try to build os_move_fd() for WIN32
    
    Signed-off-by: Colin Harrison <colin.harrison@virgin.net>
    Reviewed-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    (cherry picked from commit a9b4b7b79682dd367ce26c29aa5dc85807201851)

commit cc88bb64adda0e967c5ea0efa34aca015fa9c346
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Fri Mar 20 14:29:58 2015 +0000

    hw/xnest: Fix build for MinGW
    
    Include the wrapped windows.h via X11/Xwindows.h before xcb_keysyms.h to avoid
    type clashes caused by the unwrapped windows.h that includes.
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Colin Harrison <colin.harrison@virgin.net>
    (cherry picked from commit 2b114d6a516ee584ff89b96b12acf91799b6d677)

commit 36bba39db1d4b5b47bc7db5724a4370a4bcb1ecd
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Wed Mar 18 13:29:22 2015 +0000

    hw/xwin/winclipboard: Link xwinclip with -lpthread
    
    Link xwinclip with -lpthread to fix build for MinGW
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Colin Harrison <colin.harrison@virgin.net>
    (cherry picked from commit 5bf3e5c8326fb81655827dbd4c527f1a2ba09511)

commit 5ea517fd3991e9e7c4925e5fb5660fcc597e1898
Author: Colin Harrison <colin.harrison@virgin.net>
Date:   Fri Mar 20 14:06:49 2015 +0000

    os/xdmcp.c: Include Xtrans.h when building for WIN32
    
    Xtrans.h must be included on WIN32 to prototype _XSERVTransWSAStartup()
    
    xserver/os/xdmcp.c: In function ‘get_addr_by_name’:
    xserver/os/xdmcp.c:1483:5: error: implicit declaration of function ‘_XSERVTransWSAStartup’ [-Werror=implicit-function-declaration]
    
    Signed-off-by: Colin Harrison <colin.harrison@virgin.net>
    Reviewed-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    (cherry picked from commit 8363ef2764fe9c6877d1cb21d3ce7b6cf869f00d)

commit 2a2f676dcefbc26a9cc0c3323f62c82d92e48679
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 3 19:01:40 2015 -0700

    Accept x86_64 as well as i*86 for $host_cpu in Solaris on x86
    
    Needed when using a compiler that defaults to 64-bit output when
    configure is checking for $host_cpu.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Thomas Klausner <wiz@NetBSD.org>
    (cherry picked from commit d4e85afac6578d5babc8bf97e00e85b00746fca9)

commit 9b9d621f1158dc78bae3cb686c6a79db69f54425
Author: Ray Strode <rstrode@redhat.com>
Date:   Thu Apr 16 11:28:16 2015 -0400

    systemd-logind: don't second guess D-Bus default timeout
    
    At the moment, the X server uses a non-default timeout for D-Bus
    messages to systemd-logind. The only timeouts normally used with
    D-Bus are:
    
    1) Infinite
    2) Default
    
    Anything else is just as arbitrary as Default, and so rarely makes
    sense to use instead of Default.
    
    Put another way, there's little reason to be fault tolerant against
    a local root running daemon (logind), that in some configurations, the
    X server already depends on for proper functionality.
    
    This commit changes systemd-logind to just use the default timeouts.
    
    Downstream-bug: https://bugzilla.redhat.com/show_bug.cgi?id=1209347
    Signed-off-by: Ray Strode <rstrode@redhat.com>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>
    Signed-off-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit b1029716e41e252f149b82124a149da180607c96)

commit bb5a8da756b70ea6625a3f7ec6cf9b75a558bfb4
Author: Ray Strode <rstrode@redhat.com>
Date:   Thu Apr 16 11:28:15 2015 -0400

    systemd-logind: filter out non-signal messages from message filter
    
    It's possible to receive a message reply in the message filter if a
    previous message call timed out locally before the reply arrived.
    
    The message_filter function only handles signals, at the moment, and
    does not properly handle message replies.
    
    This commit changes the message_filter function to filter out all
    non-signal messages, including spurious message replies.
    
    Downstream-bug: https://bugzilla.redhat.com/show_bug.cgi?id=1209347
    Signed-off-by: Ray Strode <rstrode@redhat.com>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>
    Signed-off-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit 792e9251670ce94210df5c6d354059bbb97f4478)

commit 2c818e7b5db92598962f50e42b8367d7724459fb
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Apr 8 07:45:28 2015 -0700

    mi: Partial pie-slice filled arcs may need more space for spans
    
    The mi filled arc code estimates that a filled arc will produce no
    more spans than the arc is tall. This is true for most arcs except
    for pie-slice arcs strictly between 180 and 360 degrees where the missing
    portion of the arc faces up or down such that we get two spans on some
    scanlines.
    
    For those, we need to reserve room for another height/2 spans. This
    patch just does it for all partial pie-sliced arcs to make the test
    easier to understand; it's just over-allocating a bit of memory, so
    that's safe.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Reviewed-by: Adam Jackson <ajax@redhat.com>
    (cherry picked from commit 41932dfbc841a1adc6512d41085ea3f8ebecb42c)

commit 72b66d508acb1d5f0361b06f426ee6fc0d6ad575
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Wed Apr 8 14:07:52 2015 +0200

    Re-enable non serverfd input devices immediately on vtenter
    
    Non serverfd input devices will never get a systemd-logind dbus resume signal,
    causing them to never get re-enabled.
    
    This commit changes xf86VTEnter() to enable them immediately, fixing this.
    
    BugLink: https://bugs.freedesktop.org/show_bug.cgi?id=89756
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Keith Packard <keithp@keithp.com>
    (cherry picked from commit 21e7d2bb5cd810688bb905b6ed092497ca8a2c59)

commit 2ce54b81391d36856641c2691bcae8bd13daba4c
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Dec 30 09:13:16 2014 -0800

    xfree86: Add GPU screens even if there are no active GDevs
    
    xf86platformProbeDev creates GPU screens for any platform devices that were not
    matched by a GDev in the loop above, but only if there was at least one device.
    This means that it's impossible to configure a device as a GPU screen if there
    is only one platform device that matches that driver.
    
    Instead, create a GPU screen (if possible) for any platform device that was not
    claimed by the GDev loop.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Maarten Lankhorst <maarten.lankhorst@ubuntu.com>
    Acked-by: Alex Deucher <alexander.deucher@amd.com>
    (cherry picked from commit e36236eade412dd3894f75f78a7b3d7c1037e6c3)

commit 905126c66c45a150932a532de14a4a10595526dc
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Dec 30 09:13:15 2014 -0800

    xfree86: Fix xf86_check_platform_slot's handling of PCI
    
    If a PCI entity is found, xf86_check_platform_slot performs a device ID check
    against the xf86_platform_device passed in.  However, it just returns
    immediately without checking the rest of the entities first.  This leads to this
    situation happening:
    
    1. The nvidia driver creates an entity 0 with bus.type == BUS_PCI
    2. The intel driver creates entity 1 for its platform device, opening
       /dev/dri/card0
    3. xf86platformProbeDev calls probeSingleDevice on the Intel platform device,
       which calls doPlatformProbe, which calls xf86_check_platform_slot.
    4. xf86_check_platform_slot compares the Intel platform device against the
       NVIDIA PCI entity.  Since they don't have the same device ID, it returns
       TRUE.
    5. doPlatformProbe calls xf86ClaimPlatformSlot, which creates a duplicate entity
       for the Intel one.
    
    Fix this by only returning FALSE if the PCI ID matches, and continuing the loop
    otherwise.  In the scenario above, this allows it to continue on to find the
    Intel platform device that matches the second entity.
    
    Signed-off-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Maarten Lankhorst <maarten.lankhorst@ubuntu.com>
    Acked-by: Alex Deucher <alexander.deucher@amd.com>
    (cherry picked from commit 4ecda362594d771f401de467c2d58c0f552227a8)

commit d8153d1767ccb60a92693c390d12f1f157e24da9
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Thu Feb 5 12:52:02 2015 +0000

    glamor: Fix build when configured --enable-glamor --disable-xshmfence
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Signed-off-by: Eric Anholt <eric@anholt.net>
    Reviewed-by: Eric Anholt <eric@anholt.net>
    (cherry picked from commit 8102927282d5134493e5009a876a6b01a68d1f97)

commit e0bb4a1ec7a720207831732230535fc8d86fc409
Author: Olivier Fourdan <ofourdan@redhat.com>
Date:   Thu Feb 5 11:59:22 2015 +0100

    glamor: check max native ALU instructions
    
    When using glamor (either in Xephyr or Xwayland) on hardware with too
    low instructions limit, glamor fallbacks to sw due to large shaders.
    
    This makes glamor unbearably slow on such hardware.
    
    Check reported value for GL_MAX_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB
    and fail in glamor_init() if the limit is lower than 128.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=88316
    Signed-off-by: Olivier Fourdan <ofourdan@redhat.com>
    Signed-off-by: Eric Anholt <eric@anholt.net>
    Reviewed-by: Eric Anholt <eric@anholt.net>
    (cherry picked from commit 4218a1e066cf39bb980ebbc9f69536c85232da5c)

commit 9d4c8ff6736e737a98586e29d02c0afadbd35b5f
Author: Maarten Lankhorst <maarten.lankhorst@ubuntu.com>
Date:   Mon Jan 19 12:37:55 2015 +0100

    glamor: GL_TEXTURE_MAX_LEVEL is not available on GLES2
    
    Remove the calls to GL_TEXTURE_MAX_LEVEL. Setting the filtering is
    a sufficient hint to the driver about texture mipmap allocation.
    
    Signed-off-by: Maarten Lankhorst <maarten.lankhorst@ubuntu.com>
    Signed-off-by: Eric Anholt <eric@anholt.net>
    Reviewed-by: Eric Anholt <eric@anholt.net>
    Reviewed-by: Ian Romanick <ian.d.romanick@intel.com>
    (cherry picked from commit 0e1372e1bd8f79fa295738bc1e983cb3648ba4be)

commit 3bfeccf88a3e9904bd52aa98e39c35f75320d163
Author: Maarten Lankhorst <maarten.lankhorst@ubuntu.com>
Date:   Mon Jan 12 15:29:34 2015 +0100

    glamor: Use GL_FRAMEBUFFER instead of GL_READ_FRAMEBUFFER
    
    The latter might not be available on GLES2.
    
    Signed-off-by: Maarten Lankhorst <maarten.lankhorst@ubuntu.com>
    Signed-off-by: Eric Anholt <eric@anholt.net>
    Reviewed-by: Eric Anholt <eric@anholt.net>
    (cherry picked from commit c1f35c3d862f77cbd2fb871be5613fb0ca7e508b)

commit 6a37a33e4cbd0d971c30cda3ada6fc13e8414196
Author: Maarten Lankhorst <maarten.lankhorst@ubuntu.com>
Date:   Mon Jan 19 12:36:52 2015 +0100

    glamor: do not check for gl errors in glamor_build_program
    
    According to Eric Anholt the check for glGetError is not needed here.
    Because a opengl error might be set before this function is called
    keeping the check could result in glamor_build_program returning
    failure when building the shader succeeded.
    
    Signed-off-by: Maarten Lankhorst <maarten.lankhorst@ubuntu.com>
    Signed-off-by: Eric Anholt <eric@anholt.net>
    Reviewed-by: Eric Anholt <eric@anholt.net>
    (cherry picked from commit b66501b4fd9c392e0f971ea356b27eb71c9c9e79)

commit 1ec335ca157b1ca73306950e90ee85a93a791229
Author: Maarten Lankhorst <maarten.lankhorst@ubuntu.com>
Date:   Mon Jan 19 12:32:54 2015 +0100

    glamor: only use (un)pack_subimage when available
    
    Check for GL_EXT_unpack_subimage and GL_NV_pack_subimage to
    check if GL_(UN)PACK_ROW_LENGTH is available. Set the offsets
    manually to prevent calls to GL_(UN)PACK_SKIP_*.
    
    v2: Check support for GL_NV_pack_subimage as suggested by Matt Turner.
    
    Signed-off-by: Maarten Lankhorst <maarten.lankhorst@ubuntu.com>
    Signed-off-by: Eric Anholt <eric@anholt.net>
    Reviewed-by: Eric Anholt <eric@anholt.net>
    (cherry picked from commit 7c6f483670770e4e534cafd4e70d0b1490f4cca6)

commit 5df6982a14442e029948b704f5f6d96913e43aae
Author: Olivier Fourdan <ofourdan@redhat.com>
Date:   Wed Jan 28 16:08:26 2015 +0100

    xwayland: Add dependency on glamor libs
    
    So that Xwayland gets re-linked each time glamor is modified.
    
    Signed-off-by: Olivier Fourdan <ofourdan@redhat.com>
    Signed-off-by: Eric Anholt <eric@anholt.net>
    Reviewed-by: Eric Anholt <eric@anholt.net>
    (cherry picked from commit 4f534c26c64cc1edd33b04d30e4df818b7ae55d9)

commit e2bddc36af1b848974b67964b4fe4deaa79b786c
Author: Olivier Fourdan <ofourdan@redhat.com>
Date:   Mon Feb 2 10:41:06 2015 +0100

    ephyr: Fail if glamor is requested but not usable
    
    Signed-off-by: Olivier Fourdan <ofourdan@redhat.com>
    Signed-off-by: Eric Anholt <eric@anholt.net>
    Reviewed-by: Ian Romanick <ian.d.romanick@intel.com>
    Reviewed-by: Eric Anholt <eric@anholt.net>
    (cherry picked from commit 251a067993658fd02f158fef36476f898c238e3c)

commit e2c6135179ef0fa1b9db33f2d78e138fae233b56
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Thu Mar 19 12:40:06 2015 +0000

    randr: use randr: prefix in ErrorF()
    
    To provide some information about the origin of the message.
    
    Cc: Dave Airlie <airlied@redhat.com>
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>
    (cherry picked from commit 93ef0e580e9cdbe739046a0873971d402525ef00)

commit 8c3a0a1904386b4630726d6be7e6dc56a50c7aa7
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Thu Mar 19 12:36:50 2015 +0000

    randr: remove chatty error messages
    
    All of these seem like left over from developments stage. Remove them as
    they can cause excessive flood in the logs.
    
    Cc: Dave Airlie <airlied@redhat.com>
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Alex Deucher <alexander.deucher@amd.com>
    (cherry picked from commit a08ee773983c44ebb893f10a1dcfa443f2734277)

commit 660b4469f2947a1511248468d095a327f251795d
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Thu Jun 28 14:22:07 2012 +0100

    hw/xwin: Report Cygwin version information in log
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Colin Harrison <colin.harrison@virgin.net>
    (cherry picked from commit b2aaf69e62f4109ffb8aaf39e9bd2571abb29dfb)

commit c3db722ffebfa20b3cedf1a29201442bc4b8b92f
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Mon Mar 16 16:29:29 2015 +0000

    hw/xwin/glx: Improve code generator to deal with latest Khronos OpenGL registry XML
    
    Improve the parsing of the <proto> XML element
    
    Include all text from the param element, in the order it appears in the xml
    document, as part of the formal parameter declaration
    
    This is needed to correctly handle the XML description added in svn r27498 of
    glPathGlyphIndexRangeNV()'s baseAndCount parameter of type GLuint[2]
    
    This fixes the way the parameter declaration is generated so it is in the
    correct form 'GLuint baseAndCount_[2]' and not 'GLuint baseAndCount[2]_'
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Colin Harrison <colin.harrison@virgin.net>
    (cherry picked from commit d02f9611c8d3bafca4be17c65efca3c5527f71e2)

commit 6fa7510e6af8a06bf58a5a5195ab42b2d1f4aba0
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Mon Mar 16 16:14:10 2015 +0000

    hw/xwin/glx: Refactor parsing of the <proto> XML element
    
    Factor out duplicated code used in parsing of the <proto> XML element in the
    code generator
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Colin Harrison <colin.harrison@virgin.net>
    (cherry picked from commit 5071cb7e0ac5f17c48ed7f3f3b6f242dec802f66)

commit 1de38b588ecbc1a78f41a56e00ddda0e76828f77
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Thu Feb 5 20:29:48 2015 +0000

    os: Teach vpnprintf() how to handle "%*.*s"
    
    XdmcpFatal uses the format specifier %*.*s, which vpnprintf() doesn't
    understand, which causes a backtrace and prevents the reason for the XDMCP
    failure being logged.
    
    See also:
    https://bugs.freedesktop.org/show_bug.cgi?id=66862
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=758574
    
    "%*.*s" is also currently used in a few other places, so teach vpnprintf() how
    to handle it
    
    $ fgrep -r "%*.*s" *
    hw/dmx/config/scanner.l:    fprintf(stderr, "parse error on line %d at token \"%*.*s\"\n",
    hw/dmx/dmxlog.c:        ErrorF("(%s) dmx[i%d/%*.*s]: ", type,
    hw/dmx/input/dmxinputinit.c:                dmxLogCont(dmxInfo, "\t[i%d/%*.*s",
    os/access.c:        ErrorF("Xserver: siAddrMatch(): type = %s, value = %*.*s -- %s\n",
    os/access.c:                ("Xserver: siCheckAddr(): type = %s, value = %*.*s, len = %d -- %s\n",
    os/xdmcp.c:    FatalError("XDMCP fatal error: %s %*.*s\n", type,
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Colin Harrison <colin.harrison@virgin.net>
    (cherry picked from commit d3080d421bf0d91daea2e39bfc391c43d7fdad75)

commit 44930264eb200ea5cf43b9827e637b736b236f92
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Tue Feb 10 14:37:26 2015 +0000

    os: XDMCP options like -query etc. should imply -listen tcp
    
    In X server 1.17, the default configuration is now -nolisten tcp.  In this
    configuration, XDMCP options don't work usefully, as the X server is not
    listening on the port for the display that it tells the display manager to
    connect to.
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Colin Harrison <colin.harrison@virgin.net>
    (cherry picked from commit 491cf02e191e70c5ce24c19da880bb79bebfc03c)

commit 74ab42c85b783443e67edc510307785de653a81c
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Wed Feb 4 17:04:45 2015 +0000

    ephyr: Avoid a segfault with 'DISPLAY= Xephy -glamor'
    
    ephyr_glamor_connect() returns NULL if we failed, but applying
    xcb_connection_has_error() to NULL is not permitted.
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Daniel Martin <consume.noise@gmail.com>
    Reviewed-by: Colin Harrison <colin.harrison@virgin.net>
    (cherry picked from commit f42520c5f151bda25e52ae8b0408a421c3fba7e5)

commit dee92c7805e0cc646feb9b7e57451848ce48be37
Author: Jürg Billeter <j@bitron.ch>
Date:   Sat Feb 7 18:13:21 2015 +0100

    int10: Fix error check for pci_device_map_legacy
    
    pci_device_map_legacy returns 0 on success.
    
    Signed-off-by: Jürg Billeter <j@bitron.ch>
    Reviewed-by: Adam Jackson <ajax@redhat.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    (cherry picked from commit 0a78b599b34cc8b5fe6fe82f90e90234e8ab7a56)

commit 19da4355ee975c714f0f11d31c8b41c3fdabd913
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Mar 9 09:55:57 2015 -0700

    Clear ListenTransConns entries in CloseWellKnownConnections
    
    Since _XSERVTransClose frees the connection pointer passed to it,
    remove that pointer from the array, so we don't try to double free it
    if we come back into CloseWellKnownConnections again.
    
    Should fix https://bugzilla.yoctoproject.org/show_bug.cgi?id=6665 in which
    the shutdown section of the main() loop called CloseWellKnownConnections()
    and then moved on to ddxGiveUp(), which failed to release the VT and thus
    called AbortServer(), which called CloseWellKnownConnections() again.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Adam Jackson <ajax@redhat.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    (cherry picked from commit 7ea64fb4374504bd3d524fc08c90efdab9f253ea)

commit a4132357c26b2140162f73d42d0b196be60373ef
Author: Michal Srb <msrb@suse.com>
Date:   Thu Feb 19 14:57:27 2015 +0200

    Expose GetMaster to modules.
    
    Add _X_EXPORT to GetMaster function. It is required by tigervnc's VNC module.
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    (cherry picked from commit 5c4202ea85aaea2a4dc7eb29776357a2ba13e191)

commit 650a1fd274f191e77a2e8b4cb7dac67b6ff596c6
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Feb 17 14:40:27 2015 +1000

    os/access: fix regression in server interpreted auth
    
    This was reported on irc on Fedora when rawhide went to 1.17.1.
    
    regression occured in: 2566835b4374edb3e5a8353d4f7c9e7ec4851c57
     os: Eliminate uninitialized value warnings from access.c
    
    siAddrMatch doesn't need addr to be a useful value, it checks
    some things like localuser without having an address at all.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>
    Tested-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    (cherry picked from commit 9d9bd38fe1454590c303dc936ddac913808bf881)

commit 7a45d1684f626f3045305328c3aab85eed0673ea
Author: Egbert Eich <eich@freedesktop.org>
Date:   Tue Mar 3 16:27:05 2015 +0100

    symbols: Fix sdksyms.sh to cope with gcc5
    
    Gcc5 adds additional lines stating line numbers before and
    after __attribute__() which need to be skipped.
    
    Signed-off-by: Egbert Eich <eich@freedesktop.org>
    Tested-by: Daniel Stone <daniels@collabora.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    (cherry picked from commit 21b896939c5bb242f3aacc37baf12379e43254b6)

commit 3b0d1ba2266d2780bfc111bab74885b90458eca4
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Feb 10 14:43:34 2015 -0800

    Release 1.17.1
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f160e722672dbb2b5215870b47bcc51461d96ff1
Author: Olivier Fourdan <ofourdan@redhat.com>
Date:   Fri Jan 16 08:44:45 2015 +0100

    xkb: Check strings length against request size
    
    Ensure that the given strings length in an XkbSetGeometry request remain
    within the limits of the size of the request.
    
    Signed-off-by: Olivier Fourdan <ofourdan@redhat.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    (cherry picked from commit 20079c36cf7d377938ca5478447d8b9045cb7d43)

commit 29be310c303914090298ddda93a5bd5d00a94945
Author: Olivier Fourdan <ofourdan@redhat.com>
Date:   Fri Jan 16 20:08:59 2015 +0100

    xkb: Don't swap XkbSetGeometry data in the input buffer
    
    The XkbSetGeometry request embeds data which needs to be swapped when the
    server and the client have different endianess.
